server:
  port: 18040
  servlet:
    encoding:
      force: true
      charset: UTF-8

spring:
  profiles:
    active: dev
  application:
    name: wxjy-wxjy-service
  cache:
    #    type: redis
    type: caffeine
  redis:
    database: 5
    timeout: 3000
    lettuce:
      pool:
        max-idle: 8
        min-idle: 0
        max-active: 8
        max-wait: -1
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 1000MB

management:
  endpoint:
    health:
      show-details: always

tsf:
  swagger:
    #swagger-ui 开启状态，上线时建议关闭
    enabled: true

# 第三方SDK配置
mybatis:
  type-aliases-package: cn.gov.customs.wxjy.*,
  configuration:
    mapUnderscoreToCamelCase: true
    # logImpl: org.apache.ibatis.logging.stdout.StdOutImpl

logging:
  level:
    org.apache.http.client: info
    org.apache.http.headers: info
    org.apache.http.impl: info
    org.apache.http.wire: info

# 平台提供的其它SDK配置
cacp:
  core:
    logonUser:
      mock: true # 默认开启mock，生产环境会关闭
  app:
    appCode: WXJY
    authAppCode: WXJY
    featureCode: business
    # 本应用是对外提供api的微服务，如果是一个后台任务应用的话，就把值配置为job。
    publishType: service
  #database config配置
  database:
    initType: fromYml
    datasource:
      ENHANCE:
        driverClassName: dm.jdbc.driver.DmDriver
        isPrimary: true
      DEMO:
        driverClassName: dm.jdbc.driver.DmDriver
  cache:
    caffeine:
      CACP_FRAME: initialCapacity=10000,maximumSize=50000,expireAfterWrite=1800s
      CACP_H4A: initialCapacity=10000,maximumSize=50000,expireAfterWrite=1800s
      CACP CUS4A: initialCapacity=10000,maximumSize=50000,expireAfterWrite=1800s
  audit:
    enabled: true
  auth:
    type: h4a # h4a, cus4a, proxy
    log: true
    cus4a:
      #单点登录地址
      authenticateUrl: http://cus4a-sso.dev-xc.com
      #注销地址
      logOffUrl: http://cus4a-sso.dev-xc.com/logout
      #注销后跳转地址
      logOffCallBackUrl: /api/getlogoffurl
      #H4A应用名称
      appID: WXJY
      #要求H4A返回的用户登录名类型(forms返回表单登录时录入的登录名,hr返回海关员工号...等)
      idAuthenticationMode: forms
      #认证类型
      defaultAuthenticationMode: FormsAuthentication
      #默认视角
      defaultBaseView: CCIC_VIEW
      #返回参数名称，默认token
      paramT: token
      #调用身份服务附带参数
      beanObjectsDetailLastParam: PERSON_ID,SIDELINE,STATUS,PARENT_GUID
      #调取机构服务附带参数
      organizationCategoryLastParam: CUSTOMS_CODE,ORG_CLASS,STATUS,ORG_TYPE,PARENT_GUID
    h4a:
      #机构读取服务
      oguReaderService: http://10.99.101.200/CupaaCenterService/OguReaderService.svc
      #身份读取服务
      accreditReaderService: http://10.79.88.78/CupaaDistributedService/AccreditReaderService.svc
      registerAppService: http://10.99.101.200/AppRegisterService/RegisterAppReaderService.svc
      #默认视角
      defaultBaseView: CCIC_VIEW
      #系统基础视角
      systemBaseView: BASE_VIEW
      #调用身份服务附带参数
      beanObjectsDetailLastParam: PERSON_ID,SIDELINE,STATUS,PARENT_GUID
      #调取机构服务附带参数
      organizationCategoryLastParam: CUSTOMS_CODE,ORG_CLASS,STATUS,ORG_TYPE,PARENT_GUID
      #调用角色信息接口附带参数
      beanRolesLastParam: RESOURCE_LEVEL
      #单点登录地址
      authenticateUrl: http://10.99.101.200/Passport/SsoLogin.aspx
      #注销地址
      logOffUrl: http://10.99.101.200/Passport/LogOff.aspx
      #注销后跳转地址
      logOffCallBackUrl: /api/getlogoffurl
      #H4A应用名称
      appID: WXJY
      #要求H4A返回的用户登录名类型(forms返回表单登录时录入的登录名,hr返回海关员工号...等)
      idAuthenticationMode: forms
      #认证类型
      defaultAuthenticationMode: FormsAuthentication
      #返回参数名称，默认token
      paramT: token
      #建立webService连接超时时间
      connectionTimeout: 10
      #webService请求响应超时时间
      requestTimeout: 10
  proxy:
    audit:
      enabled: true
      name: hlog-api-service
      url: http://app-api.expc.dev2.com/hlog-api-service/
    auth:
      name: cacp-authproxy-service
    counter:
      enabled: false
      name: cacp-counter-service
      url: http://localhost:15000/
    fileserver:
      url: http://application.testf-nb.com/file-access-service/
    hgid:
      enabled: false
      name: hgid-main-service
      url: http://application.testf-nb.com/hgid-main-service/
    holiday:
      enabled: false
      name: cacp-holiday-service
      url: http://localhost:15001/

#新4a服务地址配置
cus4a:
  open-api:
    url: cus4a-api.dev-xc.com:80
    # cus4a-authorization-new-read-service为新授权服务名, cus4a-authorization-read-service为授权兼容版服务名
    auth-name: cus4a-authorization-new-read-service